%global pypi_name tempora
%bcond_with docs

Name:           python-%{pypi_name}
Version:        5.2.1
Release:        %mkrel 1
Summary:        Objects and routines pertaining to date and time (tempora)
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/tempora/
Source0:        %{pypi_source}
BuildArch:      noarch
 
%description
Objects and routines pertaining to date and time (tempora).

%package -n python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
BuildRequires: pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(build)
BuildRequires:  python3dist(freezegun)
BuildRequires:  python3dist(jaraco.functools) >= 1.20
BuildRequires:  python3dist(pip)
BuildRequires:  python3dist(pytz)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm) >= 1.15
BuildRequires:  python3dist(six)
BuildRequires:  python3dist(tox)
BuildRequires:  python3dist(tox-current-env)
BuildRequires:  python3dist(wheel)
# testing Reqs
BuildRequires:  python3dist(pytest) >= 3.4
BuildRequires:  python3dist(pytest-freezegun)
BuildRequires:  python3-more-itertools

%description -n python3-%{pypi_name}
Objects and routines pertaining to date and time (tempora).

%if %{with docs}
%package -n python-%{pypi_name}-doc
Summary:        tempora documentation

BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(jaraco.packaging) >= 3.2
BuildRequires:  python3dist(rst-linker) >= 1.9

%description -n python-%{pypi_name}-doc
Documentation for tempora
%endif

%prep
%autosetup -n %{pypi_name}-%{version}
# Remove test that requires pytest-freezer.
# there's only one and the dep is not packaged
sed -i 211,223d tempora/__init__.py

%build
LANG=C.utf-8 %{__python3} -m build --no-isolation
%if %{with docs}
# generate html docs 
PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%py3_install_wheel %{pypi_name}-%{version}-py3-none-any.whl

%check
LANG=C.utf-8 %{__python3} -m pytest --ignore=build

%files -n python3-%{pypi_name}
%doc LICENSE
%doc README.rst
%{_bindir}/calc-prorate
%{python3_sitelib}/tempora*
%exclude %{python3_sitelib}/tempora/tests

%if %{with docs}
%files -n python-%{pypi_name}-doc
%doc html
%doc LICENSE
%endif


%changelog
* Wed Jan 25 2023 guillomovitch <guillomovitch> 5.2.1-1.mga9
+ Revision: 1936039
- new version 5.2.1

* Sun Nov 27 2022 guillomovitch <guillomovitch> 5.1.0-1.mga9
+ Revision: 1911576
- new version 5.1.0

* Sun Sep 18 2022 neoclust <neoclust> 5.0.2-1.mga9
+ Revision: 1889845
- New version  5.0.2

* Thu Mar 31 2022 umeabot <umeabot> 5.0.1-2.mga9
+ Revision: 1837405
- Mageia 9 Mass Rebuild

* Wed Mar 02 2022 guillomovitch <guillomovitch> 5.0.1-1.mga9
+ Revision: 1787645
- new version 5.0.1
- disable doc

* Mon Feb 21 2022 mrambo3501 <mrambo3501> 5.0.0-2.mga9
+ Revision: 1782111
- rebuild for python-3.10

* Sun Jan 16 2022 guillomovitch <guillomovitch> 5.0.0-1.mga9
+ Revision: 1768683
- new version 5.0.0

* Sun Nov 28 2021 guillomovitch <guillomovitch> 4.1.2-1.mga9
+ Revision: 1759733
-new version 4.1.2

* Sun Aug 22 2021 guillomovitch <guillomovitch> 4.1.1-1.mga9
+ Revision: 1742327
- new version 4.1.1

* Sun Mar 21 2021 guillomovitch <guillomovitch> 4.0.1-1.mga9
+ Revision: 1706781
- new version 4.0.1

* Tue Nov 10 2020 guillomovitch <guillomovitch> 1.14.1-1.mga8
+ Revision: 1644313
- imported package python-tempora

